Bug 511443 - FTBFS gawk-3.1.6-5.fc11
FTBFS gawk-3.1.6-5.fc11
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gawk (Show other bugs)
rawhide
All Linux
high Severity high
: ---
: ---
Assigned To: Stepan Kasal
Fedora Extras Quality Assurance
http://linux.dell.com/files/fedora/Fi...
:
Depends On: 511723
Blocks: F12FTBFS
  Show dependency treegraph
 
Reported: 2009-07-14 22:55 EDT by FTBFS
Modified: 2009-09-23 07:00 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-23 07:00:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
root.log (215.09 KB, text/plain)
2009-07-14 22:56 EDT, FTBFS
no flags Details
build.log (48.83 KB, text/plain)
2009-07-14 22:56 EDT, FTBFS
no flags Details
mock.log (942 bytes, text/plain)
2009-07-14 22:56 EDT, FTBFS
no flags Details
root.log (295.79 KB, text/plain)
2009-07-14 22:56 EDT, FTBFS
no flags Details
build.log (46.90 KB, text/plain)
2009-07-14 22:56 EDT, FTBFS
no flags Details
mock.log (1.00 KB, text/plain)
2009-07-14 22:56 EDT, FTBFS
no flags Details

  None (edit)
Description FTBFS 2009-07-14 22:55:55 EDT
gawk-3.1.6-5.fc11.src.rpm Failed To Build From Source against the rawhide tree.  See http://fedoraproject.org/wiki/FTBFS for more information.
Comment 1 FTBFS 2009-07-14 22:55:58 EDT
Setting to ASSIGNED per Fedora Bug Triage workflow.  https://fedoraproject.org/wiki/BugZappers/BugStatusWorkFlow
Comment 2 FTBFS 2009-07-14 22:56:00 EDT
Created attachment 351862 [details]
root.log

root.log for i386
Comment 3 FTBFS 2009-07-14 22:56:01 EDT
Created attachment 351863 [details]
build.log

build.log for i386
Comment 4 FTBFS 2009-07-14 22:56:02 EDT
Created attachment 351864 [details]
mock.log

mock.log for i386
Comment 5 FTBFS 2009-07-14 22:56:04 EDT
Created attachment 351865 [details]
root.log

root.log for x86_64
Comment 6 FTBFS 2009-07-14 22:56:05 EDT
Created attachment 351866 [details]
build.log

build.log for x86_64
Comment 7 FTBFS 2009-07-14 22:56:06 EDT
Created attachment 351867 [details]
mock.log

mock.log for x86_64
Comment 8 Stepan Kasal 2009-07-16 14:11:09 EDT
Current version of gawk builds a local copy of libsigsegv.  And this is where the build breaks, for the same reason as in libsigsegv's FTBFS bug, #511723. Dependency set.
Comment 9 Stepan Kasal 2009-07-16 14:13:11 EDT
You might say that it is wrong that gawk contains a copy of libsigsegv.  Agreed, filed as #512220.
Comment 10 Paolo Bonzini 2009-09-22 17:45:26 EDT
Maybe fixed now?  Is gawk using libsigsegv in the end or not?
Comment 11 Stepan Kasal 2009-09-23 07:00:54 EDT
(In reply to comment #10)
> Maybe fixed now?  Is gawk using libsigsegv in the end or not?  

Sure, fixed in gawk-3.1.7-1; it is configured not to use libsigsegv.

Note You need to log in before you can comment on or make changes to this bug.